# Visualization Library A lightweight C++ OpenGL middleware for 2D/3D graphics | [Home] [Tutorials] [All Classes] [Grouped Classes]

# vl::ClipPlane Class Reference

Wraps the OpenGL function glClipPlane(). More...

`#include <ClipPlane.hpp>`

Inheritance diagram for vl::ClipPlane:

List of all members.

## Public Member Functions
| ClipPlane (int plane_index, Real o=0.0f, vec3 n=vec3(0, 0, 0))
| ClipPlane (int plane_index, const vec3 &o, const vec3 &n)
virtual const char * | className ()
| Returns the name of the class.
virtual void | disable () const
virtual void | enable () const
virtual ERenderState | type () const
virtual void | apply (const Camera *camera) const
void | followTransform (Transform *transform)
Transform * | followedTransform ()
const Transform * | followedTransform () const
void | setPlaneIndex (int plane_index)
int | planeIndex () const
const Plane & | plane () const
void | setPlane (const Plane &plane)
## Protected Attributes
int | mPlaneIndex
ref< Transform > | mFollowedTransform
Plane | mPlane

## Detailed Description

Wraps the OpenGL function glClipPlane().

See also:
  Shader, Effect, Actor

## Constructor & Destructor Documentation

vl::ClipPlane::ClipPlane | ( | int | plane_index,
|  | Real | o = `0.0f`,
|  | vec3 | n = `vec3(0,0,0)` |
| ) |  |  | `[inline]`

vl::ClipPlane::ClipPlane | ( | int | plane_index,
|  | const vec3 & | o,
|  | const vec3 & | n |
| ) |  |  | `[inline]`

## Member Function Documentation

virtual const char* vl::ClipPlane::className | ( |  | ) | `[inline, virtual]`

Returns the name of the class.

Reimplemented from vl::RenderState.

virtual void vl::ClipPlane::disable | ( |  | ) | const`[inline, virtual]`

Reimplemented from vl::RenderState.

virtual void vl::ClipPlane::enable | ( |  | ) | const`[inline, virtual]`

Reimplemented from vl::RenderState.

virtual ERenderState vl::ClipPlane::type | ( |  | ) | const`[inline, virtual]`

Reimplemented from vl::RenderState.

virtual void vl::ClipPlane::apply | ( | const Camera * | camera | ) | const`[inline, virtual]`

Implements vl::RenderState.

void vl::ClipPlane::followTransform | ( | Transform * | transform | ) | `[inline]`

Transform* vl::ClipPlane::followedTransform | ( |  | ) | `[inline]`

const Transform* vl::ClipPlane::followedTransform | ( |  | ) | const`[inline]`

void vl::ClipPlane::setPlaneIndex | ( | int | plane_index | ) | `[inline]`

int vl::ClipPlane::planeIndex | ( |  | ) | const`[inline]`

const Plane& vl::ClipPlane::plane | ( |  | ) | const`[inline]`

void vl::ClipPlane::setPlane | ( | const Plane & | plane | ) | `[inline]`

## Member Data Documentation

int vl::ClipPlane::mPlaneIndex`[protected]`

ref<Transform> vl::ClipPlane::mFollowedTransform`[protected]`

Plane vl::ClipPlane::mPlane`[protected]`

The documentation for this class was generated from the following file:

- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/ClipPlane.hpp

Visualization Library v2009.08 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Sun Nov 29 11:11:45 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.